<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
$functions_path = get_template_directory() . '/functions/';
require_once ($functions_path . 'define_template.php');
require_once ($functions_path . 'customizer_file.php');  // Customize theme
require_once ($functions_path . 'advance_function.php');  //
/* These files build out the theme specific options and associated functions. */
/* ----------------------------------------------------------------------------------- */
/* Styles Enqueue */
/* ----------------------------------------------------------------------------------- */
function BeCrux_add_google_fonts() {
wp_enqueue_style( 'BeCrux-google-fonts_open','http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700', false );
wp_enqueue_style( 'BeCrux-google-fonts_lato','http://fonts.googleapis.com/css?family=Lato:400,300,700', false );
wp_enqueue_style( 'BeCrux-google-fonts_sans','http://fonts.googleapis.com/css?family=PT+Sans:400,700)', false );
}
add_action( 'wp_enqueue_scripts', 'BeCrux_add_google_fonts' );
function BeCrux_add_stylesheet() {
	wp_enqueue_style( 'BeCrux_bootstrap_Css', get_template_directory_uri() . "/css/bootstrap.css" );
	wp_enqueue_style( 'BeCrux_animation_Css', get_template_directory_uri() . "/css/animate.css" );
	wp_enqueue_style( 'BeCrux_mobilemenu_Css', get_template_directory_uri() . "/css/meanmenu.css" );
	wp_enqueue_style( 'BeCrux_Main_Css', get_template_directory_uri() . "/style.css" );
}
add_action( 'wp_enqueue_scripts', 'BeCrux_add_stylesheet' );
/* ----------------------------------------------------------------------------------- */
/* jQuery Enqueue */
/* ----------------------------------------------------------------------------------- */
function BeCrux_wp_enqueue_scripts() {
	wp_enqueue_script( 'BeCrux-bootstrap', get_template_directory_uri() . '/js/bootstrap.js', array( 'jquery' ) );
	wp_enqueue_script( 'BeCrux-mobilemenu', get_template_directory_uri() . '/js/jquery.meanmenu.js', array( 'jquery' ) );
	wp_enqueue_script( 'BeCrux-superfishmenu', get_template_directory_uri() . '/js/jquery.superfish.js', array( 'jquery' ) );
	wp_enqueue_script( 'BeCrux-custom-js', get_template_directory_uri() . '/js/custom.js', array( 'jquery' ) );
	wp_enqueue_style( 'BeCrux_font-awesome', get_template_directory_uri() . '/fonts/font-awesome/css/font-awesome.css' );
	if ( is_singular() )
		wp_enqueue_script( 'comment-reply' );
}
add_action( 'wp_enqueue_scripts', 'BeCrux_wp_enqueue_scripts' );
/* ----------------------------------------------------------------------------------- */
/* Register Widget Area */
/* ----------------------------------------------------------------------------------- */
/**
 * Register widgetized areas, including two sidebars and four widget-ready columns in the footer.
 *
 *
 * @uses register_sidebar
 */
function BeCrux_widgets_init() {
	register_sidebar( array(
		'name' => becrux_PRIMARY_WIDGET,
		'id' => 'primary-widget-area',
		'description' => becrux_PRIMARY_WIDGET,
		'before_widget' => '<div class="widget">',
		'after_widget' => '</div>',
		'before_title' => '<div class="widget_title"><h4><span>',
		'after_title' => '</span></h4>
					</div>',
	) );
	register_sidebar( array(
		'name' => becrux_SECONDRY_WIDGET,
		'id' => 'secondary-widget-area',
		'description' => becrux_SECONDRY_WIDGET,
		'before_widget' => '<div class="widget_content">',
		'after_widget' => '</div>',
		'before_title' => '<div class="widget_title"><h4><span>',
		'after_title' => '</span></h4>
					</div>',
	) );
	register_sidebar( array(
		'name' => becrux_FIRST_FOOTER_WIDGET,
		'id' => 'first-footer-widget-area',
		'description' => becrux_FIRST_FOOTER_WIDGET,
		'before_widget' => '<div class="widget_content">',
		'after_widget' => '</div>',
		'before_title' => '<div class="widget_title"><h4><span>',
		'after_title' => '</span></h4>
					</div>',
	) );
	register_sidebar( array(
		'name' => becrux_SECONDRY_FOOTER_WIDGET,
		'id' => 'second-footer-widget-area',
		'description' => becrux_SECONDRY_FOOTER_WIDGET,
		'before_widget' => '<div class="widget_content">',
		'after_widget' => '</div>',
		'before_title' => '<div class="widget_title"><h4><span>',
		'after_title' => '</span></h4>
					</div>',
	) );
	register_sidebar( array(
		'name' => becrux_THIRD_FOOTER_WIDGET,
		'id' => 'third-footer-widget-area',
		'description' => becrux_THIRD_FOOTER_WIDGET,
		'before_widget' => '<div class="widget_content">',
		'after_widget' => '</div>',
		'before_title' => '<div class="widget_title"><h4><span>',
		'after_title' => '</span></h4>
					</div>',
	) );
	register_sidebar( array(
		'name' => becrux_FOURTH_FOOTER_WIDGET,
		'id' => 'fourth-footer-widget-area',
		'description' => becrux_FOURTH_FOOTER_WIDGET,
		'before_widget' => '<div class="widget_content">',
		'after_widget' => '</div>',
		'before_title' => '<div class="widget_title"><h4><span>',
		'after_title' => '</span></h4>
					</div>',
	) );
}
/** Register sidebars by running BeCrux_widgets_init() on the widgets_init hook. */
add_action( 'widgets_init', 'BeCrux_widgets_init' );
/* ----------------------------------------------------------------------------------- */
/* Menu Registration */
/* ----------------------------------------------------------------------------------- */
add_action( 'after_setup_theme', 'BeCrux_register_my_menu' );
function BeCrux_register_my_menu() {
	register_nav_menus( array(
		'header_menu' => becrux_HOME_MENU,
		'frontpage-menu' => becrux_FRONT_MENU,
		'footer-menu' => becrux_FOOTER_MENU
			)
	);
}
/* ----------------------------------------------------------------------------------- */
/* Page Navigation */
/* ----------------------------------------------------------------------------------- */
if ( !function_exists( 'BeCrux_content_nav' ) ) :
	function BeCrux_content_nav( $html_id ) {
		global $wp_query;
		$html_id = esc_attr( $html_id );
		if ( $wp_query->max_num_pages > 1 ) :
			?>
			<nav id="<?php echo $html_id; ?>" class="navigation" role="navigation">
				<h3 class="assistive-text"><?php _e( 'Post navigation', 'becrux' ); ?></h3>
				<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'becrux' ) ); ?></div>
				<div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'becrux' ) ); ?></div>
			</nav><!-- #<?php echo $html_id; ?> .navigation -->
			<?php
		endif;
	}
endif;
/* ----------------------------------------------------------------------------------- */
/* Breadcrumb html */
/* ----------------------------------------------------------------------------------- */
function BeCrux_breadcrum_block() {
	?>
		<section class="page_head">
			<div class="container">
				<div class="row">
					<div class="col-lg-12 col-md-12 col-sm-12">
			        <h2><?php if ( function_exists( 'BeCrux_breadcrumbs' ) ) BeCrux_breadcrumbs(); ?></h2>
					</div>
				</div>
			</div>
		</section>
	<?php
}

/* ----------------------------------------------------------------------------------- */
/* Breadcrumbs code
  /*----------------------------------------------------------------------------------- */
function BeCrux_breadcrumbs() {
	echo '<h2>'.the_title().'</h2>';
	echo '<nav id="breadcrumbs"><ul><li>You are here:</li>';
	if ( !is_home() ) {
		echo '<li><a href="';
		echo esc_url( home_url() );
		;
		echo '">';
		esc_html( bloginfo( 'name' ) );
		echo "</a></li> | <li>";
		if ( is_category() || is_single() ) {
			if ( is_category() ) {
				single_cat_title( '', true );
			} elseif ( is_single() ) {
				the_title();
			}
		} elseif ( is_page() ) {
			echo the_title();
		}
	}
	echo '</li></nav>';
}
/* ----------------------------------------------------------------------------------- */
/* Pagination for single post */
/* ----------------------------------------------------------------------------------- */
function BeCrux_numeric_posts_nav() {
	if ( is_singular() )
		return;
	global $wp_query;
	if ( $wp_query->max_num_pages <= 1 )
		return;
	$paged = get_query_var( 'paged' ) ? absint( get_query_var( 'paged' ) ) : 1;
	$max = intval( $wp_query->max_num_pages );
	if ( $paged >= 1 )
		$links[] = $paged;
	if ( $paged >= 3 ) {
		$links[] = $paged - 1;
		$links[] = $paged - 2;
	}
	if ( ( $paged + 2 ) <= $max ) {
		$links[] = $paged + 2;
		$links[] = $paged + 1;
	}
	echo '<div class="col-lg-12 col-md-12 col-sm-12"><ul class="pagination pull-left mrgt-0">' . "\n";
	if ( get_previous_posts_link() )
		printf( '<li>%s</li>' . "\n", get_previous_posts_link() );
	if ( !in_array( 1, $links ) ) {
		$class = 1 == $paged ? ' class="active"' : '';
		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( 1 ) ), '1' );
		if ( !in_array( 2, $links ) )
			echo '<li></li>';
	}
	sort( $links );
	foreach ( (array) $links as $link ) {
		$class = $paged == $link ? ' class="active"' : '';
		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $link ) ), $link );
	}
	if ( !in_array( $max, $links ) ) {
		if ( !in_array( $max - 1, $links ) )
			echo '<li></li>' . "\n";
		$class = $paged == $max ? ' class="active"' : '';
		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $max ) ), $max );
	}
	if ( get_next_posts_link() )
		printf( '<li>%s</li>' . "\n", get_next_posts_link() );
	echo '</ul></div>' . "\n";
}
						
/* --------------------------------------------------------------------- */
/* ****Responsive Menu***/
/* --------------------------------------------------------------------- */
function BeCrux_add_menuclass( $ulclass ) {
	return preg_replace( '/<ul>/', '<ul id="">', $ulclass, 1 );
}
add_filter( 'wp_page_menu', 'BeCrux_add_menuclass' );
add_action( 'init', 'register_custom_menu' );
function register_custom_menu() {
	register_nav_menu( 'custom_menu', __( 'Main Menu', 'becrux' ) );
}
function BeCrux_nav() {
	if ( function_exists( 'wp_nav_menu' ) )
		wp_nav_menu( array( 'theme_location' => 'custom_menu', 'container' => 'nav', 'container_class' => 'menu','container_id' => 'navigation', 'menu_class' => 'menu', 'fallback_cb' => 'BeCrux_nav_fallback' ) );
	else
		BeCrux_nav_fallback();
}
function BeCrux_nav_fallback() {
	?>
	<nav id="navigation" class="menu">
        <ul id="">
			<?php
			wp_list_pages( 'title_li=&show_home=1&sort_column=menu_order' );
			?>
		</ul>
	</nav>
	<?php
}
function BeCrux_get_current_menu() {
	if ( is_home() ) {
		print "";
	} else {
		if ( !is_active_sidebar( 'primary-widget-area' ) && !is_active_sidebar( 'secondary-widget-area' ) ) {
			print "<li>";
		} else {
			
		}
	}
}
function BeCrux_new_nav_menu_items( $items ) {
	if ( is_home() ) {
		$homelink = BeCrux_get_current_menu() . '<li id="current" class="border"><a href="' . home_url( '/' ) . '">' . __( 'Home', 'becrux' ) . '</a></li>';
	} else {
		$homelink = BeCrux_get_current_menu() . '<li><a href="' . home_url( '/' ) . '">' . __( 'Home', 'becrux' ) . '</a></li>';
	}
	$items = $homelink . $items;
	return $items;
}
add_filter( 'wp_list_pages', 'BeCrux_new_nav_menu_items' );

/* ----------------------------------------------------------------------------------- */
/* Required functions */
/* ----------------------------------------------------------------------------------- */
if ( !isset( $content_width ) )
	$content_width = 1024;
function BeCrux_custom_my_theme_setup() {
	add_editor_style( 'custom-editor-style.css' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( "custom-background" );
	add_theme_support( 'html5', array( 'gallery', 'caption') );
	add_theme_support( "post-thumbnails" );
	add_theme_support( "title-tag" );
}
add_action( 'after_setup_theme', 'BeCrux_custom_my_theme_setup' );

$chargs = array(
    'width' => 980,
    'height' => 60,
    'default-text-color' => '',
    'default-image' => '',
    'uploads' => true,
);
add_theme_support( 'custom-header', $chargs );
?>
