<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
/***Adds the individual sections, settings, and controls to the theme customizer**/
add_action( 'customize_register', 'BeCrux_theme_customize' );
function BeCrux_theme_customize( $wp_customize ) {
/***Adds textarea support to the theme customizer**/
	class BeCrux_Customize_Textarea_Control extends WP_Customize_Control {
		public $type = 'textarea';
		public function render_content() {
			?>
			<label>
				<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
				<textarea rows="5" style="width:100%;" <?php $this->link(); ?>><?php echo esc_textarea( $this->value() ); ?></textarea>
			</label>
			<?php
		}
	}
/***BANNER IMAGE SETTINGS**/
	$wp_customize->add_section( 'BeCrux_banner_section', array(
		'title' => becrux_Banner_Image_Setting,
		'priority' => 25,
		'description' => becrux_Banner_Image_Setting_detail_desc,
	) );
   $wp_customize->add_setting( 'BeCrux_banner_image', array(
		'sanitize_callback' => 'esc_url',
	) );
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'BeCrux_banner_image', array(
		'label' => becrux_Banner_Image,
		'section' => 'BeCrux_banner_section',
		'settings' => 'BeCrux_banner_image',
		'priority' => 1,
	) ) );
	$wp_customize->add_setting( 'BeCrux_banner_heading', array(
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control(
			new BeCrux_Customize_Textarea_Control(
			$wp_customize, 'BeCrux_banner_heading', array(
		'label' => becrux_Banner_Heading,
		'section' => 'BeCrux_banner_section',
		'settings' => 'BeCrux_banner_heading',
		'priority' => 2,
			))
	);
	$wp_customize->add_setting( 'BeCrux_banner_link', array(
		'sanitize_callback' => 'esc_url',
	) );
	$wp_customize->add_control( 'BeCrux_banner_link', array(
		'label' => becrux_Banner_Link,
		'section' => 'BeCrux_banner_section',
		'type' => 'text',
		'settings' => 'BeCrux_banner_link',
		'priority' => 3,
	) );
/*****BANNER IMAGE SETTINGS END***/
/*****WELCOME SECTION SETTINGS***/
	$wp_customize->add_section( 'BeCrux_welcome_section', array(
		'title' => becrux_Welcome_Section_Setting,
		'priority' => 35,
		'description' => becrux_Welcome_Section_Setting_desc,
	) );
	$wp_customize->add_setting( 'BeCrux_welcome_Heading', array(
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control(
		new BeCrux_Customize_Textarea_Control(
		$wp_customize, 'BeCrux_welcome_Heading', array(
		'label' => becrux_Welcome_Heading,
		'section' => 'BeCrux_welcome_section',
		'settings' => 'BeCrux_welcome_Heading',
		'priority' => 1,
			))
	);
	$wp_customize->add_setting( 'BeCrux_welcome_description', array(
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control(
			new BeCrux_Customize_Textarea_Control(
			$wp_customize, 'BeCrux_welcome_description', array(
		'label' => becrux_Welcome_Description,
		'section' => 'BeCrux_welcome_section',
		'settings' => 'BeCrux_welcome_description',
		'priority' => 2,
			))
	);
/***WELCOME SECTION SETTINGS END***/
/***FEATURE AREA  SECTION SETTINGS***/
	$wp_customize->add_section( 'BeCrux_feature_area_section', array(
		'title' => becrux_Feature_Area_Setting,
		'priority' => 40,
		'description' => becrux_Feature_Area_Setting_desc,
	) );
	/***Add feature area selection***/
	$wp_customize->add_setting( 'BeCrux_feature_setting', array(
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'BeCrux_sanitize_checkbox',
		'default' => 0,
	) );
	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'BeCrux_feature_setting', array(
		'settings' => 'BeCrux_feature_setting',
		'label' => becrux_Show_feature_area,
		'section' => 'BeCrux_feature_area_section',
		'type' => 'checkbox',
		'priority' => 1,
	) ) );
	/***Add feature area main Heading***/
	$wp_customize->add_setting( 'BeCrux_feature_area_heading', array(
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control(
			new BeCrux_Customize_Textarea_Control(
			$wp_customize, 'BeCrux_feature_area_heading', array(
		'label' => becrux_Feature_Section_Heading,
		'section' => 'BeCrux_feature_area_section',
		'settings' => 'BeCrux_feature_area_heading',
		'priority' => 2,
			)
			)
	);
	/***Add first feature area***/
	$wp_customize->add_setting( 'BeCrux_feature_image_1', array(
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control('BeCrux_feature_image_1', array(
		'label' => becrux_First_Feature_Image,
		'type' => 'text',
		'section' => 'BeCrux_feature_area_section',
		'settings' => 'BeCrux_feature_image_1',
		'priority' => 3,
	));
	
	$wp_customize->add_setting( 'BeCrux_feature_heading_1', array(
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control(
			new BeCrux_Customize_Textarea_Control(
			$wp_customize, 'BeCrux_feature_heading_1', array(
		'label' => becrux_First_Feature_Heading,
		'section' => 'BeCrux_feature_area_section',
		'settings' => 'BeCrux_feature_heading_1',
		'priority' => 4,
			))
	);
	$wp_customize->add_setting( 'BeCrux_feature_link_1', array(
		'sanitize_callback' => 'esc_url',
	) );
	$wp_customize->add_control( 'BeCrux_feature_link_1', array(
		'label' => becrux_First_Feature_Link,
		'section' => 'BeCrux_feature_area_section',
		'type' => 'text',
		'settings' => 'BeCrux_feature_link_1',
		'priority' => 5,
	) );
	$wp_customize->add_setting( 'BeCrux_feature_description_1', array(
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control(
			new BeCrux_Customize_Textarea_Control(
			$wp_customize, 'BeCrux_feature_description_1', array(
		'label' => becrux_First_Feature_Description,
		'section' => 'BeCrux_feature_area_section',
		'settings' => 'BeCrux_feature_description_1',
		'priority' => 6,
			))
	);
	/***Add second feature area***/
	$wp_customize->add_setting( 'BeCrux_feature_image_2', array(
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control('BeCrux_feature_image_2', array(
		'label' => becrux_Second_Feature_Image,
		'type' => 'text',
		'section' => 'BeCrux_feature_area_section',
		'settings' => 'BeCrux_feature_image_2',
		'priority' => 7,
	) );
	$wp_customize->add_setting( 'BeCrux_feature_heading_2', array(
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control(
			new BeCrux_Customize_Textarea_Control(
			$wp_customize, 'BeCrux_feature_heading_2', array(
		'label' => becrux_Second_Feature_Heading,
		'section' => 'BeCrux_feature_area_section',
		'settings' => 'BeCrux_feature_heading_2',
		'priority' => 8,
			))
	);
	$wp_customize->add_setting( 'BeCrux_feature_link_2', array(
		'sanitize_callback' => 'esc_url',
	) );
	$wp_customize->add_control( 'BeCrux_feature_link_2', array(
		'label' => becrux_Second_Feature_Link,
		'section' => 'BeCrux_feature_area_section',
		'type' => 'text',
		'settings' => 'BeCrux_feature_link_2',
		'priority' => 9,
	) );
	$wp_customize->add_setting( 'BeCrux_feature_description_2', array(
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control(
			new BeCrux_Customize_Textarea_Control(
			$wp_customize, 'BeCrux_feature_description_2', array(
		'label' => becrux_Second_Feature_Description,
		'section' => 'BeCrux_feature_area_section',
		'settings' => 'BeCrux_feature_description_2',
		'priority' => 10,
			))
	);
	/***Add third feature area***/
	$wp_customize->add_setting( 'BeCrux_feature_image_3', array(
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control('BeCrux_feature_image_3', array(
		'label' => becrux_Third_Feature_Image,
		'type' => 'text',
		'section' => 'BeCrux_feature_area_section',
		'settings' => 'BeCrux_feature_image_3',
		'priority' => 11,
	));
	$wp_customize->add_setting( 'BeCrux_feature_heading_3', array(
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control(
			new BeCrux_Customize_Textarea_Control(
			$wp_customize, 'BeCrux_feature_heading_3', array(
		'label' => becrux_Third_Feature_Heading,
		'section' => 'BeCrux_feature_area_section',
		'settings' => 'BeCrux_feature_heading_3',
		'priority' => 12,
			))
	);
	$wp_customize->add_setting( 'BeCrux_feature_link_3', array(
		'sanitize_callback' => 'esc_url',
	) );
	$wp_customize->add_control( 'BeCrux_feature_link_3', array(
		'label' => becrux_Third_Feature_Link,
		'section' => 'BeCrux_feature_area_section',
		'type' => 'text',
		'settings' => 'BeCrux_feature_link_3',
		'priority' => 13,
	) );
	$wp_customize->add_setting( 'BeCrux_feature_description_3', array(
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control(
			new BeCrux_Customize_Textarea_Control(
			$wp_customize, 'BeCrux_feature_description_3', array(
		'label' => becrux_Third_Feature_Description,
		'section' => 'BeCrux_feature_area_section',
		'settings' => 'BeCrux_feature_description_3',
		'priority' => 14,
			))
	);
	/***Add fourth feature area***/
	$wp_customize->add_setting( 'BeCrux_feature_image_4', array(
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control('BeCrux_feature_image_4', array(
		'label' => becrux_Fourth_Feature_Image,
		'type' => 'text',
		'section' => 'BeCrux_feature_area_section',
		'settings' => 'BeCrux_feature_image_4',
		'priority' => 15,
	));
	$wp_customize->add_setting( 'BeCrux_feature_heading_4', array(
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control(
			new BeCrux_Customize_Textarea_Control(
			$wp_customize, 'BeCrux_feature_heading_4', array(
		'label' => becrux_Fourth_Feature_Heading,
		'section' => 'BeCrux_feature_area_section',
		'settings' => 'BeCrux_feature_heading_4',
		'priority' => 16,
			))
	);
	$wp_customize->add_setting( 'BeCrux_feature_link_4', array(
		'sanitize_callback' => 'esc_url',
	) );
	$wp_customize->add_control( 'BeCrux_feature_link_4', array(
		'label' => becrux_Fourth_Feature_Link,
		'section' => 'BeCrux_feature_area_section',
		'type' => 'text',
		'settings' => 'BeCrux_feature_link_4',
		'priority' => 17,
	) );
	$wp_customize->add_setting( 'BeCrux_feature_description_4', array(
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control(
		new BeCrux_Customize_Textarea_Control(
		$wp_customize, 'BeCrux_feature_description_4', array(
		'label' => becrux_Fourth_Feature_Description,
		'section' => 'BeCrux_feature_area_section',
		'settings' => 'BeCrux_feature_description_4',
		'priority' => 18,
			))	
			);

/***FEATURE AREA  SECTION SETTINGS END***/
/***BLOG SECTION SETTINGS***/
	$wp_customize->add_section( 'BeCrux_blog_section', array(
		'title' => becrux_Blog_Post_Section,
		'priority' => 50,
	) );
	$wp_customize->add_setting( 'BeCrux_blog_setting', array(
		'type' => 'theme_mod',
		'sanitize_callback' => 'BeCrux_sanitize_checkbox',
		'default' => 0,
	) );
	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'BeCrux_blog_setting', array(
		'settings' => 'BeCrux_blog_setting',
		'label' => becrux_Show_blog_posts,
		'section' => 'BeCrux_blog_section',
		'type' => 'checkbox',
		'sanitize_callback' => 'BeCrux_sanitize_checkbox',
		'priority' => 1,
	) ) );
	$wp_customize->add_setting( 'BeCrux_blog_Heading', array(
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control(
			new BeCrux_Customize_Textarea_Control(
			$wp_customize, 'BeCrux_blog_Heading', array(
		'label' => becrux_Blog_Section_Heading,
		'section' => 'BeCrux_blog_section',
		'settings' => 'BeCrux_blog_Heading',
		'priority' => 2,
			))
	);
/***BLOG SECTION SETTINGS END***/
/***FOOTER SECTION SETTINGS***/
	$wp_customize->add_section( 'BeCrux_footer_section', array(
		'title' => becrux_Footer_Setting,
		'priority' => 55,
	) );
	$wp_customize->add_setting( 'BeCrux_footer_text', array(
		'default' => 'WordPress',
		'sanitize_callback' => 'BeCrux_text_sanitize',
	) );
	$wp_customize->add_control( 'BeCrux_footer_text', array(
		'label' => becrux_Footer_Text_Setting,
		'section' => 'BeCrux_footer_section',
		'type' => 'text',
		'settings' => 'BeCrux_footer_text',
		'priority' => 1,
	) );
}
/***Checkbox Sanitization***/
function BeCrux_sanitize_checkbox( $input ) {
	if ( $input == 1 ) {
		return 1;
	} else {
		return '';
	}
}
function BeCrux_text_sanitize( $input ) {
	return strip_tags( sanitize_text_field( $input ) );
}
?>